MultimapBuilder.ListMultimapBuilder
Date: 2016-05-24

com.google.common.collect

## Class MultimapBuilder.ListMultimapBuilder<K0,V0>

- java.lang.Object
- - com.google.common.collect.MultimapBuilder<K0,V0>
  - - com.google.common.collect.MultimapBuilder.ListMultimapBuilder<K0,V0>

- Enclosing class:
    MultimapBuilder<K0,V0>

      public abstract static class MultimapBuilder.ListMultimapBuilder<K0,V0>
      extends MultimapBuilder<K0,V0>

  A specialization of `MultimapBuilder` that generates `ListMultimap` instances.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.common.collect.MultimapBuilder

      `MultimapBuilder.ListMultimapBuilder<K0,V0>, MultimapBuilder.MultimapBuilderWithKeys<K0>, MultimapBuilder.SetMultimapBuilder<K0,V0>, MultimapBuilder.SortedSetMultimapBuilder<K0,V0>`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract <K extends K0,V extends V0> ListMultimap<K,V>` | `build()` Returns a new, empty `Multimap` with the specified implementation.
    `<K extends K0,V extends V0> ListMultimap<K,V>` | `build(Multimap<? extends K,? extends V> multimap)` Returns a `Multimap` with the specified implementation, initialized with the entries of `multimap`.

    - ### Methods inherited from class com.google.common.collect.MultimapBuilder

      `enumKeys, hashKeys, hashKeys, linkedHashKeys, linkedHashKeys, treeKeys, treeKeys`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### build

          public abstract <K extends K0,V extends V0> ListMultimap<K,V> build()

      Description copied from class: `MultimapBuilder`
      Returns a new, empty `Multimap` with the specified implementation.
      Specified by:
        `build` in class `MultimapBuilder<K0,V0>`

    - #### build

          public <K extends K0,V extends V0> ListMultimap<K,V> build(Multimap<? extends K,? extends V> multimap)

      Description copied from class: `MultimapBuilder`
      Returns a `Multimap` with the specified implementation, initialized with the entries of `multimap`.
      Overrides:
        `build` in class `MultimapBuilder<K0,V0>`